Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query
Interface QueryTokens

    public interface QueryTokens

This class contains common tokens for the query implementations.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary
`static java.lang.String` | `ALL` Parser token.
`static java.lang.String` | `AND` Parser token.
`static java.lang.String` | `ANY` Parser token.
`static java.lang.String` | `ARG` Query Plan.
`static java.lang.String` | `AS` Parser token.
`static java.lang.String` | `ASCENDING` Parser token.
`static java.lang.String` | `ASSIGN` Parser token.
`static java.lang.String` | `AT` Parser token.
`static java.lang.String` | `ATTRIBUTE` Parser token.
`static byte[]` | `AXIS` Query Plan.
`static byte[]` | `BASE` Base token.
`static java.lang.String` | `BASEURI` Parser token.
`static byte[]` | `BASEX` BaseX token.
`static java.lang.String` | `BOUNDARY` Parser token.
`static java.lang.String` | `BR1` Parser token.
`static java.lang.String` | `BR2` Parser token.
`static java.lang.String` | `BRACE1` Parser token.
`static java.lang.String` | `BRACE2` Parser token.
`static byte[]` | `BXURI` BaseX URI.
`static java.lang.String` | `BY` Parser token.
`static java.lang.String` | `CASE` Parser token.
`static java.lang.String` | `CAST` Parser token.
`static java.lang.String` | `CASTABLE` Parser token.
`static java.lang.String` | `CATCH` Parser token.
`static java.lang.String` | `CDATA` Parser token.
`static java.lang.String` | `COL2` Parser token.
`static java.lang.String` | `COLINFO` Position info.
`static java.lang.String` | `COLLATION` Parser token.
`static java.lang.String` | `COMMA` Parser token.
`static java.lang.String` | `COMMENT` Parser token.
`static java.lang.String` | `CONSTRUCTION` Parser token.
`static java.lang.String` | `CONTENT` Parser token.
`static java.lang.String` | `COPYNS` Parser token.
`static java.lang.String` | `DECLARE` Parser token.
`static java.lang.String` | `DEFAULT` Parser token.
`static java.lang.String` | `DELETE` Parser token.
`static java.lang.String` | `DESCENDING` Parser token.
`static java.lang.String` | `DIACRITICS` Parser token.
`static java.lang.String` | `DIFFERENT` Parser token.
`static java.lang.String` | `DISTANCE` Parser token.
`static java.lang.String` | `DIV` Parser token.
`static java.lang.String` | `DOC` Parser token.
`static java.lang.String` | `DOCUMENT` Parser token.
`static java.lang.String` | `DOLLAR` Parser token.
`static java.lang.String` | `DOT2` Parser token.
`static java.lang.String` | `ELEMENT` Parser token.
`static java.lang.String` | `ELSE` Parser token.
`static java.lang.String` | `EMPTYORD` Parser token.
`static java.lang.String` | `EMPTYORDER` Parser token.
`static byte[]` | `EN` Default language.
`static java.lang.String` | `ENCODING` Parser token.
`static java.lang.String` | `END` Parser token.
`static java.lang.String` | `ENTIRE` Parser token.
`static byte[]` | `EVAL` Query Plan.
`static java.lang.String` | `EVERY` Parser token.
`static java.lang.String` | `EXACTLY` Parser token.
`static java.lang.String` | `EXCEPT` Parser token.
`static java.lang.String` | `EXTERNAL` Parser token.
`static java.lang.String` | `FILEINFO` Position info.
`static byte[]` | `FN` FN token.
`static byte[]` | `FNURI` Functions URI.
`static java.lang.String` | `FOR` Parser token.
`static java.lang.String` | `FROM` Parser token.
`static java.lang.String` | `FTAND` Parser token.
`static java.lang.String` | `FTCONTAINS` Parser token.
`static java.lang.String` | `FTNOT` Parser token.
`static java.lang.String` | `FTOPTION` Parser token.
`static java.lang.String` | `FTOR` Parser token.
`static java.lang.String` | `FULLTEXT` Parser token.
`static java.lang.String` | `FUNCTION` Parser token.
`static java.lang.String` | `FUZZY` Parser token.
`static java.lang.String` | `GREATEST` Parser token.
`static byte[]` | `ID` ID token.
`static java.lang.String` | `IDIV` Parser token.
`static byte[]` | `IDREF` IDRef token.
`static java.lang.String` | `IF` Parser token.
`static java.lang.String` | `IGNORE` Skip flag for the syntax highlighter.
`static java.lang.String` | `IMPORT` Parser token.
`static java.lang.String` | `IN` Parser token.
`static byte[]` | `INF` Minimum .
`static java.lang.String` | `INHERIT` Parser token.
`static java.lang.String` | `INSENSITIVE` Parser token.
`static java.lang.String` | `INSTANCE` Parser token.
`static java.lang.String` | `INTERSECT` Parser token.
`static java.lang.String` | `IS` Parser token.
`static byte[]` | `ITER` Query Plan.
`static byte[]` | `JAVAPRE` Java prefix.
`static byte[]` | `LANG` Language attribute.
`static java.lang.String` | `LANGUAGE` Parser token.
`static java.lang.String` | `LAX` Parser token.
`static java.lang.String` | `LEAST` Parser token.
`static java.lang.String` | `LET` Parser token.
`static java.lang.String` | `LEVELS` Parser token.
`static java.lang.String` | `LINEINFO` Position info.
`static byte[]` | `LOCAL` XS token.
`static byte[]` | `LOCALURI` Local Functions URI.
`static java.lang.String` | `LOWERCASE` Parser token.
`static byte[]` | `MAX` Attribute name.
`static byte[]` | `MIN` Minimum .
`static java.lang.String` | `MOD` Parser token.
`static java.lang.String` | `MODULE` Parser token.
`static java.lang.String` | `MOST` Parser token.
`static byte[]` | `NAM` Query Plan.
`static byte[]` | `NAME` Query Plan.
`static byte[]` | `NEGATE` Query Plan.
`static java.lang.String` | `NODE` Parser token.
`static java.lang.String` | `NODES` Parser token.
`static java.lang.String` | `NOINHERIT` Parser token.
`static java.lang.String` | `NOPRESERVE` Parser token.
`static java.lang.String` | `NOT` Parser token.
`static byte[]` | `NS` Query Plan.
`static java.lang.String` | `NSPACE` Parser token.
`static java.lang.String` | `OCCURS` Parser token.
`static java.lang.String` | `OF` Parser token.
`static java.lang.String` | `ONEZERO` Parser token.
`static java.lang.String` | `OPTION` Parser token.
`static java.lang.String` | `OR` Parser token.
`static byte[]` | `ORDER` Query Plan.
`static java.lang.String` | `ORDERED` Parser token.
`static java.lang.String` | `ORDERING` Parser token.
`static java.lang.String` | `PAR1` Parser token.
`static java.lang.String` | `PAR2` Parser token.
`static java.lang.String` | `PARAGRAPH` Parser token.
`static java.lang.String` | `PARAGRAPHS` Parser token.
`static java.lang.String` | `PHRASE` Parser token.
`static java.lang.String` | `PI` Parser token.
`static java.lang.String` | `PIPE` Parser token.
`static byte[]` | `POS` Query Plan.
`static java.lang.String` | `PRAGMA` Parser token.
`static byte[]` | `PRE` Query Plan.
`static byte[]` | `PREDS` Query Plan.
`static java.lang.String` | `PRESERVE` Parser token.
`static java.lang.String` | `RELATIONSHIP` Parser token.
`static byte[]` | `RET` Query Plan.
`static java.lang.String` | `RETURN` Parser token.
`static java.lang.String` | `REVALIDATION` Parser token.
`static java.lang.String` | `SAME` Parser token.
`static java.lang.String` | `SATISFIES` Parser token.
`static java.lang.String` | `SCHEMA` Parser token.
`static java.lang.String` | `SCORE` Parser token.
`static java.lang.String` | `SENSITIVE` Parser token.
`static java.lang.String` | `SENTENCE` Parser token.
`static java.lang.String` | `SENTENCES` Parser token.
`static byte[]` | `SIZE` Query Plan.
`static java.lang.String` | `SKIP` Parser token.
`static java.lang.String` | `SOME` Parser token.
`static java.lang.String` | `STABLE` Parser token.
`static java.lang.String` | `START` Parser token.
`static java.lang.String` | `STEMMING` Parser token.
`static java.lang.String` | `STOP` Parser token.
`static java.lang.String` | `STOPPED` Position info.
`static java.lang.String` | `STRICT` Parser token.
`static java.lang.String` | `STRIP` Parser token.
`static byte[]` | `TEST` Query Plan.
`static java.lang.String` | `TEXT` Parser token.
`static java.lang.String` | `THEN` Parser token.
`static java.lang.String` | `THESAURUS` Parser token.
`static java.lang.String` | `TIMES` Parser token.
`static java.lang.String` | `TO` Parser token.
`static java.lang.String` | `TREAT` Parser token.
`static java.lang.String` | `TRY` Parser token.
`static byte[]` | `TYPE` Query Plan.
`static java.lang.String` | `TYPESWITCH` Parser token.
`static java.lang.String` | `UNION` Parser token.
`static java.lang.String` | `UNORDERED` Parser token.
`static java.lang.String` | `UPPERCASE` Parser token.
`static byte[]` | `URLCOLL` Default collation.
`static byte[]` | `VAL` Query Plan.
`static java.lang.String` | `VALIDATE` Parser token.
`static byte[]` | `VALUE` Query Plan.
`static byte[]` | `VAR` Query Plan.
`static java.lang.String` | `VARIABLE` Parser token.
`static java.lang.String` | `VERSION` Parser token.
`static java.lang.String` | `WEIGHT` Parser token.
`static java.lang.String` | `WHERE` Parser token.
`static byte[]` | `WHR` Query Plan.
`static byte[]` | `WILD` Parser token.
`static java.lang.String` | `WILDCARDS` Parser token.
`static java.lang.String` | `WINDOW` Parser token.
`static java.lang.String` | `WITH` Parser token.
`static java.lang.String` | `WITHOUT` Parser token.
`static java.lang.String` | `WORD` Parser token.
`static java.lang.String` | `WORDS` Parser token.
`static byte[]` | `XMLNSURI` XMLNS URI.
`static byte[]` | `XMLURI` XML URI.
`static java.lang.String` | `XQUERY` Parser token.
`static byte[]` | `XS` XS token.
`static byte[]` | `XSI` XS token.
`static byte[]` | `XSIURI` XMLSchema Instance URI.
`static byte[]` | `XSURI` XMLSchema URI.

Field Detail

### ALL

    static final java.lang.String ALL

  Parser token.

  See Also:
    Constant Field Values

### AND

    static final java.lang.String AND

  Parser token.

  See Also:
    Constant Field Values

### ANY

    static final java.lang.String ANY

  Parser token.

  See Also:
    Constant Field Values

### AS

    static final java.lang.String AS

  Parser token.

  See Also:
    Constant Field Values

### ASCENDING

    static final java.lang.String ASCENDING

  Parser token.

  See Also:
    Constant Field Values

### AT

    static final java.lang.String AT

  Parser token.

  See Also:
    Constant Field Values

### ATTRIBUTE

    static final java.lang.String ATTRIBUTE

  Parser token.

  See Also:
    Constant Field Values

### BASEURI

    static final java.lang.String BASEURI

  Parser token.

  See Also:
    Constant Field Values

### BOUNDARY

    static final java.lang.String BOUNDARY

  Parser token.

  See Also:
    Constant Field Values

### BY

    static final java.lang.String BY

  Parser token.

  See Also:
    Constant Field Values

### CASE

    static final java.lang.String CASE

  Parser token.

  See Also:
    Constant Field Values

### CAST

    static final java.lang.String CAST

  Parser token.

  See Also:
    Constant Field Values

### CASTABLE

    static final java.lang.String CASTABLE

  Parser token.

  See Also:
    Constant Field Values

### CATCH

    static final java.lang.String CATCH

  Parser token.

  See Also:
    Constant Field Values

### COLLATION

    static final java.lang.String COLLATION

  Parser token.

  See Also:
    Constant Field Values

### COMMENT

    static final java.lang.String COMMENT

  Parser token.

  See Also:
    Constant Field Values

### CONSTRUCTION

    static final java.lang.String CONSTRUCTION

  Parser token.

  See Also:
    Constant Field Values

### CONTENT

    static final java.lang.String CONTENT

  Parser token.

  See Also:
    Constant Field Values

### COPYNS

    static final java.lang.String COPYNS

  Parser token.

  See Also:
    Constant Field Values

### DECLARE

    static final java.lang.String DECLARE

  Parser token.

  See Also:
    Constant Field Values

### DEFAULT

    static final java.lang.String DEFAULT

  Parser token.

  See Also:
    Constant Field Values

### DELETE

    static final java.lang.String DELETE

  Parser token.

  See Also:
    Constant Field Values

### DESCENDING

    static final java.lang.String DESCENDING

  Parser token.

  See Also:
    Constant Field Values

### DIACRITICS

    static final java.lang.String DIACRITICS

  Parser token.

  See Also:
    Constant Field Values

### DIFFERENT

    static final java.lang.String DIFFERENT

  Parser token.

  See Also:
    Constant Field Values

### DISTANCE

    static final java.lang.String DISTANCE

  Parser token.

  See Also:
    Constant Field Values

### DIV

    static final java.lang.String DIV

  Parser token.

  See Also:
    Constant Field Values

### DOC

    static final java.lang.String DOC

  Parser token.

  See Also:
    Constant Field Values

### DOCUMENT

    static final java.lang.String DOCUMENT

  Parser token.

  See Also:
    Constant Field Values

### ELEMENT

    static final java.lang.String ELEMENT

  Parser token.

  See Also:
    Constant Field Values

### ELSE

    static final java.lang.String ELSE

  Parser token.

  See Also:
    Constant Field Values

### EMPTYORD

    static final java.lang.String EMPTYORD

  Parser token.

  See Also:
    Constant Field Values

### ENCODING

    static final java.lang.String ENCODING

  Parser token.

  See Also:
    Constant Field Values

### END

    static final java.lang.String END

  Parser token.

  See Also:
    Constant Field Values

### ENTIRE

    static final java.lang.String ENTIRE

  Parser token.

  See Also:
    Constant Field Values

### EVERY

    static final java.lang.String EVERY

  Parser token.

  See Also:
    Constant Field Values

### EXACTLY

    static final java.lang.String EXACTLY

  Parser token.

  See Also:
    Constant Field Values

### EXCEPT

    static final java.lang.String EXCEPT

  Parser token.

  See Also:
    Constant Field Values

### EXTERNAL

    static final java.lang.String EXTERNAL

  Parser token.

  See Also:
    Constant Field Values

### FOR

    static final java.lang.String FOR

  Parser token.

  See Also:
    Constant Field Values

### FROM

    static final java.lang.String FROM

  Parser token.

  See Also:
    Constant Field Values

### FTOPTION

    static final java.lang.String FTOPTION

  Parser token.

  See Also:
    Constant Field Values

### FTAND

    static final java.lang.String FTAND

  Parser token.

  See Also:
    Constant Field Values

### FTCONTAINS

    static final java.lang.String FTCONTAINS

  Parser token.

  See Also:
    Constant Field Values

### FTNOT

    static final java.lang.String FTNOT

  Parser token.

  See Also:
    Constant Field Values

### FTOR

    static final java.lang.String FTOR

  Parser token.

  See Also:
    Constant Field Values

### FULLTEXT

    static final java.lang.String FULLTEXT

  Parser token.

  See Also:
    Constant Field Values

### FUZZY

    static final java.lang.String FUZZY

  Parser token.

  See Also:
    Constant Field Values

### FUNCTION

    static final java.lang.String FUNCTION

  Parser token.

  See Also:
    Constant Field Values

### GREATEST

    static final java.lang.String GREATEST

  Parser token.

  See Also:
    Constant Field Values

### IDIV

    static final java.lang.String IDIV

  Parser token.

  See Also:
    Constant Field Values

### IF

    static final java.lang.String IF

  Parser token.

  See Also:
    Constant Field Values

### IMPORT

    static final java.lang.String IMPORT

  Parser token.

  See Also:
    Constant Field Values

### IN

    static final java.lang.String IN

  Parser token.

  See Also:
    Constant Field Values

### INHERIT

    static final java.lang.String INHERIT

  Parser token.

  See Also:
    Constant Field Values

### INSENSITIVE

    static final java.lang.String INSENSITIVE

  Parser token.

  See Also:
    Constant Field Values

### INSTANCE

    static final java.lang.String INSTANCE

  Parser token.

  See Also:
    Constant Field Values

### INTERSECT

    static final java.lang.String INTERSECT

  Parser token.

  See Also:
    Constant Field Values

### LANGUAGE

    static final java.lang.String LANGUAGE

  Parser token.

  See Also:
    Constant Field Values

### LAX

    static final java.lang.String LAX

  Parser token.

  See Also:
    Constant Field Values

### LEAST

    static final java.lang.String LEAST

  Parser token.

  See Also:
    Constant Field Values

### LET

    static final java.lang.String LET

  Parser token.

  See Also:
    Constant Field Values

### LEVELS

    static final java.lang.String LEVELS

  Parser token.

  See Also:
    Constant Field Values

### LOWERCASE

    static final java.lang.String LOWERCASE

  Parser token.

  See Also:
    Constant Field Values

### MOD

    static final java.lang.String MOD

  Parser token.

  See Also:
    Constant Field Values

### MODULE

    static final java.lang.String MODULE

  Parser token.

  See Also:
    Constant Field Values

### MOST

    static final java.lang.String MOST

  Parser token.

  See Also:
    Constant Field Values

### NSPACE

    static final java.lang.String NSPACE

  Parser token.

  See Also:
    Constant Field Values

### NOINHERIT

    static final java.lang.String NOINHERIT

  Parser token.

  See Also:
    Constant Field Values

### NOPRESERVE

    static final java.lang.String NOPRESERVE

  Parser token.

  See Also:
    Constant Field Values

### NODE

    static final java.lang.String NODE

  Parser token.

  See Also:
    Constant Field Values

### NODES

    static final java.lang.String NODES

  Parser token.

  See Also:
    Constant Field Values

### NOT

    static final java.lang.String NOT

  Parser token.

  See Also:
    Constant Field Values

### OCCURS

    static final java.lang.String OCCURS

  Parser token.

  See Also:
    Constant Field Values

### OF

    static final java.lang.String OF

  Parser token.

  See Also:
    Constant Field Values

### OPTION

    static final java.lang.String OPTION

  Parser token.

  See Also:
    Constant Field Values

### OR

    static final java.lang.String OR

  Parser token.

  See Also:
    Constant Field Values

### EMPTYORDER

    static final java.lang.String EMPTYORDER

  Parser token.

  See Also:
    Constant Field Values

### ORDERED

    static final java.lang.String ORDERED

  Parser token.

  See Also:
    Constant Field Values

### ORDERING

    static final java.lang.String ORDERING

  Parser token.

  See Also:
    Constant Field Values

### PARAGRAPH

    static final java.lang.String PARAGRAPH

  Parser token.

  See Also:
    Constant Field Values

### PARAGRAPHS

    static final java.lang.String PARAGRAPHS

  Parser token.

  See Also:
    Constant Field Values

### PHRASE

    static final java.lang.String PHRASE

  Parser token.

  See Also:
    Constant Field Values

### PRESERVE

    static final java.lang.String PRESERVE

  Parser token.

  See Also:
    Constant Field Values

### PI

    static final java.lang.String PI

  Parser token.

  See Also:
    Constant Field Values

### RELATIONSHIP

    static final java.lang.String RELATIONSHIP

  Parser token.

  See Also:
    Constant Field Values

### RETURN

    static final java.lang.String RETURN

  Parser token.

  See Also:
    Constant Field Values

### REVALIDATION

    static final java.lang.String REVALIDATION

  Parser token.

  See Also:
    Constant Field Values

### SAME

    static final java.lang.String SAME

  Parser token.

  See Also:
    Constant Field Values

### SATISFIES

    static final java.lang.String SATISFIES

  Parser token.

  See Also:
    Constant Field Values

### SCHEMA

    static final java.lang.String SCHEMA

  Parser token.

  See Also:
    Constant Field Values

### SCORE

    static final java.lang.String SCORE

  Parser token.

  See Also:
    Constant Field Values

### SENSITIVE

    static final java.lang.String SENSITIVE

  Parser token.

  See Also:
    Constant Field Values

### SENTENCE

    static final java.lang.String SENTENCE

  Parser token.

  See Also:
    Constant Field Values

### SENTENCES

    static final java.lang.String SENTENCES

  Parser token.

  See Also:
    Constant Field Values

### SKIP

    static final java.lang.String SKIP

  Parser token.

  See Also:
    Constant Field Values

### SOME

    static final java.lang.String SOME

  Parser token.

  See Also:
    Constant Field Values

### STABLE

    static final java.lang.String STABLE

  Parser token.

  See Also:
    Constant Field Values

### START

    static final java.lang.String START

  Parser token.

  See Also:
    Constant Field Values

### STEMMING

    static final java.lang.String STEMMING

  Parser token.

  See Also:
    Constant Field Values

### STOP

    static final java.lang.String STOP

  Parser token.

  See Also:
    Constant Field Values

### STRICT

    static final java.lang.String STRICT

  Parser token.

  See Also:
    Constant Field Values

### STRIP

    static final java.lang.String STRIP

  Parser token.

  See Also:
    Constant Field Values

### THEN

    static final java.lang.String THEN

  Parser token.

  See Also:
    Constant Field Values

### TIMES

    static final java.lang.String TIMES

  Parser token.

  See Also:
    Constant Field Values

### TEXT

    static final java.lang.String TEXT

  Parser token.

  See Also:
    Constant Field Values

### THESAURUS

    static final java.lang.String THESAURUS

  Parser token.

  See Also:
    Constant Field Values

### TO

    static final java.lang.String TO

  Parser token.

  See Also:
    Constant Field Values

### TREAT

    static final java.lang.String TREAT

  Parser token.

  See Also:
    Constant Field Values

### TRY

    static final java.lang.String TRY

  Parser token.

  See Also:
    Constant Field Values

### TYPESWITCH

    static final java.lang.String TYPESWITCH

  Parser token.

  See Also:
    Constant Field Values

### UNION

    static final java.lang.String UNION

  Parser token.

  See Also:
    Constant Field Values

### UNORDERED

    static final java.lang.String UNORDERED

  Parser token.

  See Also:
    Constant Field Values

### UPPERCASE

    static final java.lang.String UPPERCASE

  Parser token.

  See Also:
    Constant Field Values

### VALIDATE

    static final java.lang.String VALIDATE

  Parser token.

  See Also:
    Constant Field Values

### VARIABLE

    static final java.lang.String VARIABLE

  Parser token.

  See Also:
    Constant Field Values

### VERSION

    static final java.lang.String VERSION

  Parser token.

  See Also:
    Constant Field Values

### WEIGHT

    static final java.lang.String WEIGHT

  Parser token.

  See Also:
    Constant Field Values

### WHERE

    static final java.lang.String WHERE

  Parser token.

  See Also:
    Constant Field Values

### WILDCARDS

    static final java.lang.String WILDCARDS

  Parser token.

  See Also:
    Constant Field Values

### WINDOW

    static final java.lang.String WINDOW

  Parser token.

  See Also:
    Constant Field Values

### WITH

    static final java.lang.String WITH

  Parser token.

  See Also:
    Constant Field Values

### WITHOUT

    static final java.lang.String WITHOUT

  Parser token.

  See Also:
    Constant Field Values

### WORD

    static final java.lang.String WORD

  Parser token.

  See Also:
    Constant Field Values

### WORDS

    static final java.lang.String WORDS

  Parser token.

  See Also:
    Constant Field Values

### XQUERY

    static final java.lang.String XQUERY

  Parser token.

  See Also:
    Constant Field Values

### IGNORE

    static final java.lang.String IGNORE

  Skip flag for the syntax highlighter.

### ASSIGN

    static final java.lang.String ASSIGN

  Parser token.

  See Also:
    Constant Field Values

### BR1

    static final java.lang.String BR1

  Parser token.

  See Also:
    Constant Field Values

### BR2

    static final java.lang.String BR2

  Parser token.

  See Also:
    Constant Field Values

### BRACE1

    static final java.lang.String BRACE1

  Parser token.

  See Also:
    Constant Field Values

### BRACE2

    static final java.lang.String BRACE2

  Parser token.

  See Also:
    Constant Field Values

### CDATA

    static final java.lang.String CDATA

  Parser token.

  See Also:
    Constant Field Values

### COL2

    static final java.lang.String COL2

  Parser token.

  See Also:
    Constant Field Values

### COMMA

    static final java.lang.String COMMA

  Parser token.

  See Also:
    Constant Field Values

### DOLLAR

    static final java.lang.String DOLLAR

  Parser token.

  See Also:
    Constant Field Values

### DOT2

    static final java.lang.String DOT2

  Parser token.

  See Also:
    Constant Field Values

### IS

    static final java.lang.String IS

  Parser token.

  See Also:
    Constant Field Values

### ONEZERO

    static final java.lang.String ONEZERO

  Parser token.

  See Also:
    Constant Field Values

### PAR1

    static final java.lang.String PAR1

  Parser token.

  See Also:
    Constant Field Values

### PAR2

    static final java.lang.String PAR2

  Parser token.

  See Also:
    Constant Field Values

### PIPE

    static final java.lang.String PIPE

  Parser token.

  See Also:
    Constant Field Values

### PRAGMA

    static final java.lang.String PRAGMA

  Parser token.

  See Also:
    Constant Field Values

### WILD

    static final byte[] WILD

  Parser token.

### XMLURI

    static final byte[] XMLURI

  XML URI.

### FNURI

    static final byte[] FNURI

  Functions URI.

### XMLNSURI

    static final byte[] XMLNSURI

  XMLNS URI.

### LOCALURI

    static final byte[] LOCALURI

  Local Functions URI.

### XSURI

    static final byte[] XSURI

  XMLSchema URI.

### XSIURI

    static final byte[] XSIURI

  XMLSchema Instance URI.

### BXURI

    static final byte[] BXURI

  BaseX URI.

### JAVAPRE

    static final byte[] JAVAPRE

  Java prefix.

### URLCOLL

    static final byte[] URLCOLL

  Default collation.

### BASE

    static final byte[] BASE

  Base token.

### ID

    static final byte[] ID

  ID token.

### IDREF

    static final byte[] IDREF

  IDRef token.

### FN

    static final byte[] FN

  FN token.

### BASEX

    static final byte[] BASEX

  BaseX token.

### XS

    static final byte[] XS

  XS token.

### XSI

    static final byte[] XSI

  XS token.

### LOCAL

    static final byte[] LOCAL

  XS token.

### LANG

    static final byte[] LANG

  Language attribute.

### NS

    static final byte[] NS

  Query Plan.

### POS

    static final byte[] POS

  Query Plan.

### VAR

    static final byte[] VAR

  Query Plan.

### TYPE

    static final byte[] TYPE

  Query Plan.

### NAME

    static final byte[] NAME

  Query Plan.

### NAM

    static final byte[] NAM

  Query Plan.

### VALUE

    static final byte[] VALUE

  Query Plan.

### EVAL

    static final byte[] EVAL

  Query Plan.

### ITER

    static final byte[] ITER

  Query Plan.

### WHR

    static final byte[] WHR

  Query Plan.

### RET

    static final byte[] RET

  Query Plan.

### ORDER

    static final byte[] ORDER

  Query Plan.

### NEGATE

    static final byte[] NEGATE

  Query Plan.

### PRE

    static final byte[] PRE

  Query Plan.

### VAL

    static final byte[] VAL

  Query Plan.

### SIZE

    static final byte[] SIZE

  Query Plan.

### AXIS

    static final byte[] AXIS

  Query Plan.

### TEST

    static final byte[] TEST

  Query Plan.

### PREDS

    static final byte[] PREDS

  Query Plan.

### MIN

    static final byte[] MIN

  Minimum .

### MAX

    static final byte[] MAX

  Attribute name.

### INF

    static final byte[] INF

  Minimum .

### ARG

    static final java.lang.String ARG

  Query Plan.

  See Also:
    Constant Field Values

### EN

    static final byte[] EN

  Default language.

### STOPPED

    static final java.lang.String STOPPED

  Position info.

  See Also:
    Constant Field Values

### LINEINFO

    static final java.lang.String LINEINFO

  Position info.

  See Also:
    Constant Field Values

### COLINFO

    static final java.lang.String COLINFO

  Position info.

  See Also:
    Constant Field Values

### FILEINFO

    static final java.lang.String FILEINFO

  Position info.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD